typedef struct {

  // frequency base - sum of FFT
  float bass;
  float mid;
  float high;
  float beat;
  float bassAvg;
  float midAvg;
  float highAvg;
  float beatAvg;

  // frequency base - sum of FFT
  float volume;		
  float volumeAvg;
  float volumeAvgLong;

  // time base
  float intensity;			
  float intensityAvg;
  float intensityAvgLong;
  float volAvgLong;
  
  // counter
  unsigned int count;

} AudioInput;


extern "C" _declspec(dllexport) unsigned char CustomAttribute(unsigned char slider_1, unsigned char slider_2, unsigned char position, AudioInput audio, float* fft );
